# Poco::Net

# class MultipartIOS

Library: Net
Package: Messages
Header: Poco/Net/MultipartReader.h

## Description

The base class for MultipartInputStream.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: MultipartInputStream

## Member Summary

Member Functions: lastPart, rdbuf

## Constructors

### MultipartIOS

MultipartIOS(
std::istream & istr,
const std::string & boundary
);

## Destructor

### ~MultipartIOS

~MultipartIOS();

## Member Functions

### lastPart

bool lastPart() const;

### rdbuf

MultipartStreamBuf * rdbuf();

## Variables

### _buf

MultipartStreamBuf _buf;